| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Namespaces | Functions | Variables
get_version.hpp File Reference
API

routine to initialize libdar and manage its running threads More...

`#include "//include/dar/libdar_my_config.h"`
`#include <string>`
`#include "//include/dar/integers.hpp"`

Go to the source code of this file.

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Functions
void | libdar::get_version (U_I &major, U_I &medium, U_I &minor, bool init_libgcrypt=true)
| return the libdar version, and make libdar initialization (may throw Exceptions)
void | libdar::get_version (U_I &major, U_I &medium, U_I &minor, bool init_libgcrypt, bool init_gpgme)
| returns the libdar version and make libdar initialization (may throw Exceptions)
void | libdar::get_version (U_I &major, U_I &medium, U_I &minor, U_I gcrypt_secured_memory, bool init_gpgme)
| This flavor of get_version initializes libgcrypt and let the caller specifiy the amount of secure memory to reserve.
void | libdar::get_version (bool init_libgcrypt=true)
| this method is to be used when you don't want to bother with major, medium and minor
void | libdar::close_and_clean ()
unsigned int | for_autoconf (unsigned int x)
| in case you use autoconf AC_CHECK_LIB in your program to detect the availability of libdar

## Variables
constexpr U_I | libdar::LIBDAR_COMPILE_TIME_MAJOR = 7
| libdar Major version defined at compilation time
constexpr U_I | libdar::LIBDAR_COMPILE_TIME_MEDIUM = 0
| libdar Medium version defined at compilation time
constexpr U_I | libdar::LIBDAR_COMPILE_TIME_MINOR = 2
| libdar Minor version defined at compilation time

## Detailed Description

routine to initialize libdar and manage its running threads

Definition in file dar64-2.8.3-win64/include/dar/get_version.hpp.

## Function Documentation

## ◆ for_autoconf()

unsigned int for_autoconf | ( | unsigned int | x | ) |
| extern

in case you use autoconf AC_CHECK_LIB in your program to detect the availability of libdar

use AC_CHECK_LIB(dar, [for_autoconf], [], []) to have autoconf based configure script properly detecting the presence and usability of libthreadar